<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4290
Name: Tabakgebrauch
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4290-2018-09-13T135242">
   <title>Tabakgebrauch</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]
Item: (Tabakgebrauch)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]"
         id="d20e2889-false-d7601e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="string(@classCode) = ('OBS')">(Tabakgebrauch): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="string(@moodCode) = ('EVN')">(Tabakgebrauch): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4290']) &gt;= 1">(Tabakgebrauch): Element hl7:templateId[@root = '1.2.276.0.76.10.4290'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4290']) &lt;= 1">(Tabakgebrauch): Element hl7:templateId[@root = '1.2.276.0.76.10.4290'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Tabakgebrauch): Element hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Tabakgebrauch): Element hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Tabakgebrauch): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Tabakgebrauch): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Tabakgebrauch): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Tabakgebrauch): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(Tabakgebrauch): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Tabakgebrauch): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:templateId[@root = '1.2.276.0.76.10.4290']
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:templateId[@root = '1.2.276.0.76.10.4290']"
         id="d20e2895-false-d7668e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="string(@root) = ('1.2.276.0.76.10.4290')">(Tabakgebrauch): Der Wert von root MUSS '1.2.276.0.76.10.4290' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:id
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:id"
         id="d20e2900-false-d7682e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e2902-false-d7693e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="@nullFlavor or (@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')">(Tabakgebrauch): Der Elementinhalt MUSS einer von 'code '72166-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:statusCode[@code = 'completed']
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:statusCode[@code = 'completed']"
         id="d20e2908-false-d7710e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="@nullFlavor or (@code='completed')">(Tabakgebrauch): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:effectiveTime
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:effectiveTime"
         id="d20e2913-false-d7726e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4290
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Tabakgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4290']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e2915-false-d7739e0">
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Tabakgebrauch): Der Elementinhalt MUSS einer von '2.16.840.1.113883.11.22.59 IPS Current Smoking Status (DYNAMIC)' sein.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.4290-2018-09-13T135242.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(Tabakgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
