<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Name: Stillzeit (medmgmt)
Description: Mutter stillt momentan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000">
   <title>Stillzeit (medmgmt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]"
         id="d20e6191-false-d19522e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="string(@classCode) = ('OBS')">(Mothercurrentlybreastfeedingmedmgmt): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="string(@moodCode) = ('EVN')">(Mothercurrentlybreastfeedingmedmgmt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(medmgmt:extension[medmgmt:valueBoolean]) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element medmgmt:extension[medmgmt:valueBoolean] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']"
         id="d20e6197-false-d19597e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.48.10.13')">(Mothercurrentlybreastfeedingmedmgmt): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.48.10.13' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:id
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:id"
         id="d20e6202-false-d19611e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:code[(@code = '63895-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e6204-false-d19622e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="@nullFlavor or (@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')">(Mothercurrentlybreastfeedingmedmgmt): Der Elementinhalt MUSS einer von 'code '63895-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:text[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:text[not(@nullFlavor)]"
         id="d20e6210-false-d19638e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Mothercurrentlybreastfeedingmedmgmt): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d20e6215-false-d19657e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="string(@value) = ('#mbf')">(Mothercurrentlybreastfeedingmedmgmt): Der Wert von value MUSS '#mbf' sein. Gefunden: "<value-of select="@value"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:statusCode[@code = 'completed']
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:statusCode[@code = 'completed']"
         id="d20e6221-false-d19672e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="@nullFlavor or (@code='completed')">(Mothercurrentlybreastfeedingmedmgmt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.13
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:value[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeedingmedmgmt)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/hl7:value[not(@nullFlavor)]"
         id="d20e6226-false-d19688e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-2.16.840.1.113883.3.1937.99.61.48.10.13-2019-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeedingmedmgmt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90033
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/medmgmt:extension[medmgmt:valueBoolean]
Item: (Extensionprintflag)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/medmgmt:extension[medmgmt:valueBoolean]"
         id="d19689e24-false-d19699e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.90033-2019-02-09T000000.html"
              test="string(@url) = ('http://fhir.de/StructureDefinition/druckkennzeichen/0.2')">(Extensionprintflag): Der Wert von url MUSS 'http://fhir.de/StructureDefinition/druckkennzeichen/0.2' sein. Gefunden: "<value-of select="@url"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.90033-2019-02-09T000000.html"
              test="count(medmgmt:valueBoolean[not(@nullFlavor)]) &gt;= 1">(Extensionprintflag): Element medmgmt:valueBoolean[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.90033-2019-02-09T000000.html"
              test="count(medmgmt:valueBoolean[not(@nullFlavor)]) &lt;= 1">(Extensionprintflag): Element medmgmt:valueBoolean[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90033
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/medmgmt:extension[medmgmt:valueBoolean]/medmgmt:valueBoolean[not(@nullFlavor)]
Item: (Extensionprintflag)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.13']]/medmgmt:extension[medmgmt:valueBoolean]/medmgmt:valueBoolean[not(@nullFlavor)]"
         id="d19689e28-false-d19719e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.90033-2019-02-09T000000.html"
              test="@value">(Extensionprintflag): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T163514/tmp-1.2.276.0.76.10.90033-2019-02-09T000000.html"
              test="not(@value) or string(@value)=('true','false')">(Extensionprintflag): Attribute @value MUSS vom Datentyp 'bl' sein  - '<value-of select="@value"/>'</assert>
   </rule>
</pattern>
